Subject: Re: [PATCH net-next] pcnet32: remove VLB support

From: Thomas Bogendoerfer <[email-masked]>
Date: Mon, 12 Jan 2026 23:09:05 +0100

On Sun, Jan 11, 2026 at 12:40:56AM +0000, Maciej W. Rozycki wrote:
> [+cc Thomas, linux-mips]
> 
> On Fri, 9 Jan 2026, Simon Horman wrote:
> 
> > > This allows the code managing device instances to be simplified
> > > significantly. The VLB bus is very obsolete and last appeared on
> > > P5 Pentium-era hardware. Support for it has been removed from
> > > other drivers, and it is highly unlikely anyone is using it with
> > > modern Linux kernels.
> > > 
> > > Signed-off-by: Ethan Nelson-Moore <[email-masked]>
> > 
> > Hi Ethan,
> > 
> > I don't think this driver has received much attention for some time.
> > So, unless you have hardware to test changes on, I would suggest
> > either leaving it alone or, if we suspect there are no users,
> > removing it.
> 
>  You mean discarding the whole of drivers/net/ethernet/amd/pcnet32.c?  If 
> so, then it's a hard NAK from me.  It's the onboard/netboot interface of 
> the MIPS Malta platform and it continues being used regularly, primarily 
> with QEMU setups, although I have actual Malta hardware in my lab too, 
> usually running 24/7.  It's one of the primary MIPS plaforms, cf. 
> arch/mips/configs/malta_defconfig.

I have a few more MIPS systems with PCnet32 chip on board. And this
driver was the first network driver for VMware. I see no reason to
remove it as it simply works.

Thomas.

-- 
Crap can work. Given enough thrust pigs will fly, but it's not necessarily a
good idea.                                                [ RFC1925, 2.3 ]